Bug 1269052 - Adding a 2nd NIC forces PXE boot
Adding a 2nd NIC forces PXE boot
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
3.5.1.1
x86_64 Windows
high Severity high (vote)
: ovirt-3.6.2
: ---
Assigned To: Eliraz Levi
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 03:34 EDT by Nicolas Ecarnot
Modified: 2016-02-10 14:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 02:48:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bazulay: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Nicolas Ecarnot 2015-10-06 03:34:52 EDT
Description of problem:
From a nice working VM in 2008 R2, I added a second NIC.
When rebooting the VM, PXE boot was forced and never falling over down to hard drive boot.

Version-Release number of selected component (if applicable):
3.5.1.1

How reproducible:
I saw it once.

Steps to Reproduce:
1. Install a VM in windows server 2008 R2 64 bits standard with a NIC, boot it, reboot it some times, see it OK, shutdown it.
2. Add a second NIC
3. Boot it.

Actual results:
The VM is trying to PXE boot. The boot order clearly shows hard drive first.
I tried to put PXE first and save, then hard drive first and save, then boot, with NO success.

Expected results:
- Adding or removing NICs should not change the boot behaviour
- Editing the VM boot order should work.

Additional info:
The workaround I found was this :
- "Unplug" both NICs
- Boot. It is booting on the hard drive
- Shutdown
- "Replug" the NICs
- Boot. It is booting on the hard drive
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 07:01:00 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Dan Kenigsberg 2015-11-23 06:41:50 EST
Can you attach engine.log and vdsm.log?

Meni, can you see something like that?
Comment 3 Michael Burman 2015-11-23 10:14:27 EST
This is not reproducible with rhel 6.7 and 7.1 guests
Comment 4 Michael Burman 2015-11-23 11:10:00 EST
Can't reproduce with windows 2008 R2 64 guest as well.
Tested on 3.5.6.2-0.1.el6ev
Thanks,
Comment 5 Dan Kenigsberg 2015-11-24 02:48:58 EST
Please reopen if this happens again. Please provide Engine, Vdsm, libvirt and qemu versions, as well as engine.log and vdsm.log.
Comment 6 Nicolas Ecarnot 2015-11-24 03:07:22 EST
(In reply to Dan Kenigsberg from comment #5)
> Please reopen if this happens again. Please provide Engine, Vdsm, libvirt
> and qemu versions, as well as engine.log and vdsm.log.

ACK

Note You need to log in before you can comment on or make changes to this bug.